Jupyter: --matplotlib=inline is nether supported nor needed
authorKirill Smelkov <kirr@nexedi.com>
Tue, 1 Dec 2015 14:24:11 +0000 (14:24 +0000)
committerKirill Smelkov <kirr@nexedi.com>
Fri, 18 Dec 2015 21:17:57 +0000 (00:17 +0300)
commit837c05c64e59066970683ce95cf5862822708090
tree69bb69201d52807e1264d15052d38448ffb21c15
parentbd3d8e4882bc62ef59e1c540a733a49391289330
Jupyter: --matplotlib=inline is nether supported nor needed

@jerome added --matplotlib=inline in 48eefab5 (ipython notebook) but it is
really neither needed:

   @jerome
   I remember adding this --matplotlib=inline line, but I am not sure it was
   ever needed. Using magic %matplotlib in notebook should be enough.

   @tiwariayush
   Yeah, for inline matplotlib in default python kernel, magics do there
   work(therefore neither pylab nor matplotlib alias are needed while starting the
   server), so I'd say leave this commit as it is and regarding version updation:
   a new patch making change wherever required.

nor supported:

   $ cat .slappart0_ipython_notebook.log
   [W 15:51:35.454 NotebookApp] Unrecognized alias: '--matplotlib=inline', it will probably have no effect.

Remove it.

P.S.

'--logfile' isn't available for ipython version 3.2.0 but we are not removing
it since we are planning to upgrade IPython to versions 4.x where it is supported.

Based on patch by @tiwariayush  (see nexedi/slapos!33)
software/ipython_notebook/instance.cfg.in
software/ipython_notebook/software.cfg